# cross

vector cross product

## Calling sequence

    C = cross(A,B)

## Arguments

A

  real, complex, polynomial or boolean matrix of size 3-by-N or 1-by-3.

B

  real, complex, polynomial or boolean matrix of same size as A.

C

  real, complex, polynomial or boolean matrix of same size as A and B.

## Description

`cross` returns the cross product of `A` and `B`, that is:

\begin{eqnarray} C = A \wedge B \end{eqnarray}

`A` and `B` can be full or sparse matrix. However, rational matrix are not supported. Concerning boolean matrix, `cross` computes as if %t (resp. %f) was 1 (resp. 0), and '&' (resp. '|') was '*' (resp. '+').

To finish, if `A` and `B` are 3-by-N matrix, column-wise computations are done.

## Example

    A=[1;2;3];
    B=[2;3;4];
    cross(A,B) //expected: [-1;2;-1]
    A=[%i,2,1+%i];
    B=[1,%i,2+%i];
    cross(A,B) //expected: [5+%i,2-%i,-3]
    A=[%t;%f;%t];
    B=[%t;%f;%f];
    cross(A,B) //expected: [0;1;0]

## History

5.5.0
Function cross introduced.